org.scalatest.events

# Event

#### class Event extends Ordered[Event]

A base class for the events that can be passed to the report function passed to the `execute` method of a `Suite`.

Will have a sealed abstract InfoProvided message with three final concrete subclasses, RunInfoProvided, SuiteInfoProvided, TestInfoProvided. Anything that starts with Run just has runStamp and ordinal; Suite has those plus suiteStamp; Test has those plus testStamp.

Attributes
  sealed abstract

Linear Supertypes
Ordered[Event], Comparable[Event], AnyRef, Any
Known Subclasses
InfoProvided, RunAborted, RunCompleted, RunStarting, RunStopped, SuiteAborted, SuiteCompleted, SuiteStarting, TestFailed, TestIgnored, TestPending, TestStarting, TestSucceeded
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Event
2. Ordered
3. Comparable
4. AnyRef
5. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Event ()

### Abstract Value Members

1. #### val formatter : Option[Formatter]

   An optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user.

   An optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user.

   Attributes
     abstract

2. #### val ordinal : Ordinal

   An `Ordinal` that can be used to place this event in order in the context of other events reported during the same run.

   An `Ordinal` that can be used to place this event in order in the context of other events reported during the same run.

   Attributes
     abstract

3. #### val payload : Option[Any]

   An optional object that can be used to pass custom information to the reporter about this event.

   An optional object that can be used to pass custom information to the reporter about this event.

   Attributes
     abstract

4. #### val threadName : String

   A name for the `Thread` about whose activity this event was reported.

   A name for the `Thread` about whose activity this event was reported.

   Attributes
     abstract

5. #### val timeStamp : Long

   A `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT.

   A `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT.

   Attributes
     abstract

### Concrete Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def < (that: Event): Boolean

   Definition Classes
     Ordered

5. #### def <= (that: Event): Boolean

   Definition Classes
     Ordered

6. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

7. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

8. #### def > (that: Event): Boolean

   Definition Classes
     Ordered

9. #### def >= (that: Event): Boolean

   Definition Classes
     Ordered

10. #### def asInstanceOf [T0] : T0

    Attributes
      final
    Definition Classes
      Any

11. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def compare (that: Event): Int

    Comparing `this` event with the event passed as `that`.

    Comparing `this` event with the event passed as `that`. Returns x, where x < 0 iff this < that, x == 0 iff this == that, x > 0 iff this > that.

    that

      the event to compare to this event

    Definition Classes
      Event → Ordered

13. #### def compareTo (that: Event): Int

    Definition Classes
      Ordered → Comparable

14. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

15. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

17. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

19. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

20. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

23. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

24. #### def toString (): String

    Definition Classes
      AnyRef → Any

25. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

27. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from Ordered[Event]

### Inherited from Comparable[Event]

### Inherited from AnyRef

### Inherited from Any